Linux Help
guides forums blogs
Home Desktops Distributions ISO Images Logos Newbies Reviews Software Support & Resources Linuxhelp Wiki

Welcome Guest ( Log In | Register )



Advanced DNS Management
New ZoneEdit. New Managment.

FREE DNS Is Back

Sign Up Now
> New to Linux - Having trouble installing a library!, errors encountered when installing libnl
Jooshm
post Jan 23 2009, 01:39 AM
Post #1


Whats this Lie-nix Thing?
*

Group: Members
Posts: 1
Joined: 23-January 09
Member No.: 13,870



Hey all! I just made the switch to xubuntu on my laptop, and so far I'm really liking it =]

I'm trying to get aircrack-ng working, but it requires that I have a library called "libnl" installed. I've downloaded the tarball, unpacked it, and tried to run a "make" command in the directory in terminal, but I always come up with an error:

CODE
In file included from addr.c:28:
../include/netlink-local.h: In function ‘__str2type’:
../include/netlink-local.h:218: error: ‘ULONG_MAX’ undeclared (first use in this function)
../include/netlink-local.h:218: error: (Each undeclared identifier is reported only once
../include/netlink-local.h:218: error: for each function it appears in.)
../include/netlink-local.h: In function ‘__list_str2type’:
../include/netlink-local.h:239: error: ‘ULONG_MAX’ undeclared (first use in this function)
../include/netlink-local.h: In function ‘__dp_dump’:
../include/netlink-local.h:277: warning: ignoring return value of ‘vasprintf’, declared with attribute warn_unused_result
make[2]: *** [addr.o] Error 1
make[1]: *** [all] Error 2
make: *** [all] Error 2


Seeing as I'm a newbie, I'm completely stuck. Could someone help me out?

Thanks,
Josh
Go to the top of the page
 
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 23rd November 2017 - 02:36 AM